PHP ��U
前一頁 |  | 下一頁

# Memcache::setCompressThreshold

(no version information, might be only in CVS)

Memcache::setCompressThreshold -- Enable automatic compression of large values

## Description

bool Memcache::setCompressThreshold ( int threshold [, float min_savings] )

Memcache::setCompressThreshold() enables automatic compression of large values. You can also use the memcache_set_compress_threshold() function.

> 注: This function has been added to Memcache version 2.0.0.

## Parameters

threshold

  Controls the minimum value length before attempting to compress automatically.

min_saving

  Specifies the minimum amount of savings to actually store the value compressed. The supplied value must be between 0 and 1. Default value is 0.2 giving a minimum 20% compression savings.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. Memcache::setCompressThreshold() example

`<?php /* OO API */ $memcache_obj = new Memcache; $memcache_obj->addServer('memcache_host', 11211); $memcache_obj->setCompressThreshold(20000, 0.2); /* procedural API */ $memcache_obj = memcache_connect('memcache_host', 11211); memcache_set_compress_threshold($memcache_obj, 20000, 0.2); ?>`

前一頁 | 內容 | 下一頁
Memcache::set | 上一層 | Mhash Functions